Uploaded image for project: 'CXF'
  1. CXF
  2. CXF-7288

cxf-rs-description-swagger2 cannot be installed in karaf

    XMLWordPrintableJSON

Details

    • Bug
    • Status: Closed
    • Major
    • Resolution: Fixed
    • 3.1.10
    • 3.1.11
    • JAX-RS
    • None
    • Unknown

    Description

      Unable to install cxf-rs-description-swagger2. This doesn't happen in the previous version (3.1.9).

      Steps to reproduce:
      Download apache karaf 4.1
      Launch karaf
      issue repo-add cxf
      issue feature:install cxf-rs-description-swagger2

      An exception is presented:

      Error executing command: Unable to resolve root: missing requirement [root] osgi.identity; osgi.identity=cxf-rs-description-swagger2; type=karaf.feature; version="[3.1.10,3.1.10]"; filter:="(&(osgi.identity=cxf-rs-description-swagger2)(type=karaf.feature)(version>=3.1.10)(version<=3.1.10))" [caused by: Unable to resolve cxf-rs-description-swagger2/3.1.10: missing requirement [cxf-rs-description-swagger2/3.1.10] osgi.identity; osgi.identity=cxf-jackson; type=karaf.feature; version="[3.1.10,3.1.10]" [caused by: Unable to resolve cxf-jackson/3.1.10: missing requirement [cxf-jackson/3.1.10] osgi.identity; osgi.identity=com.fasterxml.jackson.dataformat.jackson-dataformat-yaml; type=osgi.bundle; version="[2.8.6,2.8.6]"; resolution:=mandatory [caused by: Unable to resolve com.fasterxml.jackson.dataformat.jackson-dataformat-yaml/2.8.6: missing requirement [com.fasterxml.jackson.dataformat.jackson-dataformat-yaml/2.8.6] osgi.wiring.package; filter:="(&(osgi.wiring.package=org.yaml.snakeyaml)(version>=1.17.0)(!(version>=2.0.0)))"]]]

      Attachments

        Activity

          People

            Unassigned Unassigned
            ivoleitao Ivo Leitão
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

            Dates

              Created:
              Updated:
              Resolved: